@import './partials/layout.scss';
@import './partials/headers.scss';
@import './partials/nav.scss';
@import './partials/typography.scss';
@import './partials/quotes.scss';
@import './partials/links.scss';
@import './partials/forms.scss';
@import './partials/tables.scss';
@import './partials/images.scss';

/* Colors */
:root {
    --color: #118bee;
    --color-accent: #118bee15;
    --color-bg: #fff;
    --color-bg-secondary: #e9e9e9;
    --color-secondary: #920de9;
    --color-secondary-accent: #920de90b;
    --color-shadow: #f4f4f4;
    --color-text: #000;
    --color-text-secondary: #999;
}

@media (prefers-color-scheme: dark) {
    :root {
        --color: #5e9ad6;
        --color-accent: #0097fc4f;
        --color-secondary: #35689C;
        --color-secondary-accent: #e20de94f;

        --color-text: #f7f7f7;
        --color-text-secondary: #bbb;

        --color-bg: #333;
        --color-bg-secondary: #555;
        --color-shadow: #1a1a1af1;
    }
}
